import Tooltip from '/src/components/feedback/Tooltip';

export default {
    title: 'Tooltip',
    component: Tooltip,
};


const Template = (args, { argTypes }) => ({
    props: Object.keys(argTypes),
    components: { Tooltip },
    template: `<div style="width: 300px; margin:0 auto;">
        <Tooltip
            :title="title"
            :icon="icon"
            :text="text"
            :okButtonText="okButtonText"
            :infoButtonText="infoButtonText"
            :onClose="onClose"
            :okAction="okAction"
        />
    </div>`,
});

export const TooltipStandard = Template.bind({});
TooltipStandard.args = {
    title:"Sold and shipped by Altitude Sports",
    icon:"Marketplace",
    text:"Products sold and shipped by Altitude Sports are delivered from Altitude Sports' warehouse. Customer service and returns are handled by Altitude Sports.",
    okButtonText:"Ok, got it",
    onClose: () => {},
    okAction: () => {}
};


